- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros
libmspub_utils.cpp File Reference
`#include <unicode/ucnv.h>`
`#include <unicode/utypes.h>`
`#include <string.h>`
`#include <math.h>`
`#include <zlib.h>`
`#include <cstring>`
`#include "libmspub_utils.h"`

## Macros
#define | M_PI 3.14159265358979323846
#define | ZLIB_CHUNK 16384
#define | MSPUB_NUM_ELEMENTS(array) sizeof(array)/sizeof(array[0])
#define | SURROGATE_VALUE(h, l) (((h) - 0xd800) * 0x400 + (l) - 0xdc00 + 0x10000)

## Macro Definition Documentation

#define M_PI 3.14159265358979323846

Referenced by libmspub::rotateCounter().

#define MSPUB_NUM_ELEMENTS | ( |  | array | ) | sizeof(array)/sizeof(array[0])

#define SURROGATE_VALUE | ( |  | h,
|  |  | l
| ) |  | (((h) - 0xd800) * 0x400 + (l) - 0xdc00 + 0x10000)

#define ZLIB_CHUNK 16384

Referenced by libmspub::inflateData().